'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var constants = require('../shared/constants.js');

function syncCookie(request, response, locale, localeCookie) {
  var _request$cookies$get;
  const hasOutdatedCookie = ((_request$cookies$get = request.cookies.get(constants.COOKIE_LOCALE_NAME)) === null || _request$cookies$get === void 0 ? void 0 : _request$cookies$get.value) !== locale;
  if (hasOutdatedCookie) {
    response.cookies.set(constants.COOKIE_LOCALE_NAME, locale, {
      path: request.nextUrl.basePath || undefined,
      sameSite: constants.COOKIE_SAME_SITE,
      maxAge: constants.COOKIE_MAX_AGE,
      ...(typeof localeCookie === 'object' && localeCookie)
    });
  }
}

exports.default = syncCookie;
